Subject: Re: Trouble with SCC UART ports when moving from ppc to powerpc

From: Timur Tabi <[email-masked]>
Date: Fri, 07 Mar 2008 09:00:43 -0600

Laurent Pinchart wrote:

> Does anyone have any clue regarding what could write to the dpram ? I thought 
> about some CPM peripheral set up by the boot loader, but my board 
> initialization code calls cpm2_reset() long before initializing SCC1.

I'm not familar with the CPM, but in cpm_common.c are a bunch of functions to
manage memory allocated of the DPRAM.  You might want to see who's using those
functions, and how.

-- 
Timur Tabi
Linux kernel developer at Freescale